Package tigase.server.xmppserver.proc

# Class AuthenticatorSelectorManager

java.lang.Object
tigase.server.xmppserver.proc.AuthenticatorSelectorManager

All Implemented Interfaces:
  `StatisticsProviderIfc`

@Bean(name="authenticator-selector-manager", parent=S2SConnectionManager.class, active=true) public class AuthenticatorSelectorManager extends Object implements StatisticsProviderIfc

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `List<AuthenticationProcessor>`
  `authenticationProcessors`
  `static final String`
  `S2S_METHOD_USED`
  `static final String`
  `S2S_METHODS_ADVERTISED`
  `static final String`
  `S2S_METHODS_AVAILABLE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthenticatorSelectorManager()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `authenticateConnection(String sessionId, CIDConnections cid_conns, CID cidPacket)`
  `void`
  `authenticateConnection(S2SIOService serv, CIDConnections cid_conns, CID cidPacket)`
  `void`
  `authenticationFailed(Packet packet, S2SIOService serv, AuthenticationProcessor processor, Queue<Packet> results)`
  `void`
  `getStatistics(String compName, StatisticsList list)`
  `boolean`
  `isAllowed(Packet p, S2SIOService serv, AuthenticationProcessor processor, Queue<Packet> results)`
  Method determines if given authenticator is allowed to proceed: takes into consideration authenticators priority, currently used authenticator as well as received stream futures
  `void`
  `markConnectionAsFailed(String prefix, S2SIOService serv)`
  `void`
  `setAuthenticationProcessors(List<AuthenticationProcessor> authenticationProcessors)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### S2S_METHOD_USED

    public static final String S2S_METHOD_USED
    See Also:
      - Constant Field Values

  - ### S2S_METHODS_ADVERTISED

    public static final String S2S_METHODS_ADVERTISED
    See Also:
      - Constant Field Values

  - ### S2S_METHODS_AVAILABLE

    public static final String S2S_METHODS_AVAILABLE
    See Also:
      - Constant Field Values

  - ### authenticationProcessors

    @Inject public List<AuthenticationProcessor> authenticationProcessors

- ## Constructor Details

  - ### AuthenticatorSelectorManager

    public AuthenticatorSelectorManager()

- ## Method Details

  - ### isAllowed

    public boolean isAllowed(Packet p, S2SIOService serv, AuthenticationProcessor processor, Queue<Packet> results)
    Method determines if given authenticator is allowed to proceed: takes into consideration authenticators priority, currently used authenticator as well as received stream futures

  - ### authenticateConnection

    public void authenticateConnection(String sessionId, CIDConnections cid_conns, CID cidPacket)

  - ### authenticateConnection

    public void authenticateConnection(S2SIOService serv, CIDConnections cid_conns, CID cidPacket)

  - ### getStatistics

    public void getStatistics(String compName, StatisticsList list)
    Specified by:
      `getStatistics` in interface `StatisticsProviderIfc`

  - ### authenticationFailed

    public void authenticationFailed(Packet packet, S2SIOService serv, AuthenticationProcessor processor, Queue<Packet> results)

  - ### markConnectionAsFailed

    public void markConnectionAsFailed(String prefix, S2SIOService serv)

  - ### setAuthenticationProcessors

    public void setAuthenticationProcessors(List<AuthenticationProcessor> authenticationProcessors)